Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update To ES6+ Logic (specify min/LTS) #30

Closed
edm00se opened this issue Oct 16, 2018 · 2 comments · Fixed by #89
Closed

Update To ES6+ Logic (specify min/LTS) #30

edm00se opened this issue Oct 16, 2018 · 2 comments · Fixed by #89
Projects

Comments

@edm00se
Copy link
Owner

@edm00se edm00se commented Oct 16, 2018

Arrow functions, promisified fs read/write ops, async/await.

@edm00se edm00se created this issue from a note in General (To do) Oct 16, 2018
@edm00se edm00se changed the title Update To ES6+ Logic (min ver 8.9.x+ LTS) Update To ES6+ Logic (min ver latest LTS) Apr 19, 2019
@edm00se

This comment has been minimized.

Copy link
Owner Author

@edm00se edm00se commented Jul 1, 2019

Updating prettier-eslint-cli to >=5.0.0 (#52) will only support node >=8, so probably best to start there.

@edm00se edm00se changed the title Update To ES6+ Logic (min ver latest LTS) Update To ES6+ Logic (specify min/LTS) Jul 1, 2019
@edm00se

This comment has been minimized.

Copy link
Owner Author

@edm00se edm00se commented Feb 11, 2020

  • already using async version of fs.readFile/fs.writeFile, no need for further async/await at this time (unless using a wrapper on fs operations)
  • arrow func
  • implicit returns
  • sets min engine levels
edm00se added a commit that referenced this issue Feb 11, 2020
and tests, and tests don't break

closes #30
@edm00se edm00se closed this in #89 Feb 11, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
General
  
To Do
Linked pull requests

Successfully merging a pull request may close this issue.

1 participant
You can’t perform that action at this time.